Skip to main content
GET
/
api
/
v1
/
messages
List Messages
curl --request GET \
  --url https://api.example.com/api/v1/messages
{
  "messages": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "phone_number": "<string>",
      "content": "<string>",
      "status": "<string>",
      "direction": "<string>",
      "retry_count": 123,
      "whatsapp_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "chat_type": "individual",
      "group_jid": "<string>",
      "group_name": "<string>",
      "message_type": "text",
      "media_type": "<string>",
      "media_url": "<string>",
      "failure_reason": "<string>",
      "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contact_name": "<string>",
      "campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "scheduled_for": "2023-11-07T05:31:56Z",
      "queued_at": "2023-11-07T05:31:56Z",
      "sent_at": "2023-11-07T05:31:56Z",
      "delivered_at": "2023-11-07T05:31:56Z",
      "read_at": "2023-11-07T05:31:56Z",
      "failed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123,
  "has_more": true,
  "current_page": 123,
  "total_pages": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.wazzapi.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string | null

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0
status
string | null
direction
string | null
whatsapp_account_id
string<uuid> | null
campaign_id
string<uuid> | null
search
string | null
sort_by
string
default:created_at
sort_order
string
default:desc

Response

Successful Response

Response for listing messages.

messages
MessageItem · object[]
required
total_count
integer
required
has_more
boolean
required
current_page
integer
required
total_pages
integer
required